Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
win32ole_error.h File Reference

Go to the source code of this file.

## Functions
| NORETURN (PRINTF_ARGS(void ole_raise(HRESULT hr, VALUE ecs, const char *fmt,...), 3, 4))
void | Init_win32ole_error (void)

## Variables
VALUE | eWIN32OLERuntimeError
VALUE | eWIN32OLEQueryInterfaceError

## Function Documentation

## ◆ Init_win32ole_error()

void Init_win32ole_error | ( | void |  | ) |

Definition at line 64 of file win32ole_error.c.

References eWIN32OLEQueryInterfaceError, eWIN32OLERuntimeError, rb_define_class(), and rb_eRuntimeError.

## ◆ NORETURN()

NORETURN | ( | PRINTF_ARGS(void ole_raise(HRESULT hr, VALUE ecs, const char *fmt,...), 3, 4) |  | ) |

## Variable Documentation

## ◆ eWIN32OLEQueryInterfaceError

VALUE eWIN32OLEQueryInterfaceError

Definition at line 5 of file win32ole_error.h.

Referenced by Init_win32ole_error(), and ole_methods_from_typeinfo().

## ◆ eWIN32OLERuntimeError

VALUE eWIN32OLERuntimeError

Definition at line 4 of file win32ole_error.h.

Referenced by Init_win32ole_error().